Bug 217442 - emulators/open-vm-tools: widen pam auth to system
Summary: emulators/open-vm-tools: widen pam auth to system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-01 05:04 UTC by Franco Fichtner
Modified: 2017-03-25 08:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
system auth fix (834 bytes, patch)
2017-03-01 05:04 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2017-03-01 05:04:38 UTC
Created attachment 180379 [details]
system auth fix

Hi,

When unix passwords are disabled, but alternative methods exist, authentication fails anyway.  This patch aligns with system authentication instead, which is also used by e.g. login/su.


Cheers,
Franco
Comment 1 Steve Wills freebsd_committer 2017-03-01 06:19:27 UTC
Hi,

Thanks, I'm not sure this is still an issue. I'm in the process of updating this port, can you please test with the patch in bug 212471? And if it's still an issue, send a copy of the scripts/linux/pam.d/vmtoolsd file itself? Figuring out the changes to from a diff of a diff against a diff of a diff is too confusing for me, sorry.
Comment 2 Franco Fichtner 2017-03-01 06:34:57 UTC
The desired contents of the target file is simply these two lines, which automatically include pam_unix.so:

auth       include          system
account    include          system

I can test against 212471, but it will take a day or two.  Do you have an ETA for the update to 10.1.0?


Thanks,
Franco
Comment 3 Steve Wills freebsd_committer 2017-03-01 06:45:56 UTC
(In reply to Franco Fichtner from comment #2)
Ah, I see. I hope to have the new version committed by 3/15.
Comment 4 Franco Fichtner 2017-03-16 06:21:44 UTC
Haven't been able to get to this yet. It's not mission critical so I will pick it up after open-vm-tools updates are in the tree.


Sorry,
Franco
Comment 5 Steve Wills freebsd_committer 2017-03-24 18:58:58 UTC
Port is updated now, made the change as suggested since it seems fine and makes sense.
Comment 6 Franco Fichtner 2017-03-25 08:13:49 UTC
Thank you!